Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network228.64.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
228.64.0.0
Broadcast address
228.95.255.255
First usable
228.64.0.1
Last usable
228.95.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E4400000 · Integer 3829399552 to 3831496703
Reverse DNS zones
64.228.in-addr.arpa
65.228.in-addr.arpa
66.228.in-addr.arpa
67.228.in-addr.arpa
68.228.in-addr.arpa
69.228.in-addr.arpa
70.228.in-addr.arpa
71.228.in-addr.arpa
72.228.in-addr.arpa
73.228.in-addr.arpa
74.228.in-addr.arpa
75.228.in-addr.arpa
76.228.in-addr.arpa
77.228.in-addr.arpa
78.228.in-addr.arpa
79.228.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11100100.01000000.00000000.00000000228.64.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network11100100.01000000.00000000.00000000228.64.0.0
Broadcast11100100.01011111.11111111.11111111228.95.255.255
Split into smaller subnets/19

228.64.0.0/11 makes 256 subnets of /19.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1228.64.0.0/19228.64.0.1 to 228.64.31.254228.64.31.2558,190
2228.64.32.0/19228.64.32.1 to 228.64.63.254228.64.63.2558,190
3228.64.64.0/19228.64.64.1 to 228.64.95.254228.64.95.2558,190
4228.64.96.0/19228.64.96.1 to 228.64.127.254228.64.127.2558,190
5228.64.128.0/19228.64.128.1 to 228.64.159.254228.64.159.2558,190
6228.64.160.0/19228.64.160.1 to 228.64.191.254228.64.191.2558,190
7228.64.192.0/19228.64.192.1 to 228.64.223.254228.64.223.2558,190
8228.64.224.0/19228.64.224.1 to 228.64.255.254228.64.255.2558,190
9228.65.0.0/19228.65.0.1 to 228.65.31.254228.65.31.2558,190
10228.65.32.0/19228.65.32.1 to 228.65.63.254228.65.63.2558,190
11228.65.64.0/19228.65.64.1 to 228.65.95.254228.65.95.2558,190
12228.65.96.0/19228.65.96.1 to 228.65.127.254228.65.127.2558,190
13228.65.128.0/19228.65.128.1 to 228.65.159.254228.65.159.2558,190
14228.65.160.0/19228.65.160.1 to 228.65.191.254228.65.191.2558,190
15228.65.192.0/19228.65.192.1 to 228.65.223.254228.65.223.2558,190
16228.65.224.0/19228.65.224.1 to 228.65.255.254228.65.255.2558,190
17228.66.0.0/19228.66.0.1 to 228.66.31.254228.66.31.2558,190
18228.66.32.0/19228.66.32.1 to 228.66.63.254228.66.63.2558,190
19228.66.64.0/19228.66.64.1 to 228.66.95.254228.66.95.2558,190
20228.66.96.0/19228.66.96.1 to 228.66.127.254228.66.127.2558,190
21228.66.128.0/19228.66.128.1 to 228.66.159.254228.66.159.2558,190
22228.66.160.0/19228.66.160.1 to 228.66.191.254228.66.191.2558,190
23228.66.192.0/19228.66.192.1 to 228.66.223.254228.66.223.2558,190
24228.66.224.0/19228.66.224.1 to 228.66.255.254228.66.255.2558,190
25228.67.0.0/19228.67.0.1 to 228.67.31.254228.67.31.2558,190
26228.67.32.0/19228.67.32.1 to 228.67.63.254228.67.63.2558,190
27228.67.64.0/19228.67.64.1 to 228.67.95.254228.67.95.2558,190
28228.67.96.0/19228.67.96.1 to 228.67.127.254228.67.127.2558,190
29228.67.128.0/19228.67.128.1 to 228.67.159.254228.67.159.2558,190
30228.67.160.0/19228.67.160.1 to 228.67.191.254228.67.191.2558,190
31228.67.192.0/19228.67.192.1 to 228.67.223.254228.67.223.2558,190
32228.67.224.0/19228.67.224.1 to 228.67.255.254228.67.255.2558,190
33228.68.0.0/19228.68.0.1 to 228.68.31.254228.68.31.2558,190
34228.68.32.0/19228.68.32.1 to 228.68.63.254228.68.63.2558,190
35228.68.64.0/19228.68.64.1 to 228.68.95.254228.68.95.2558,190
36228.68.96.0/19228.68.96.1 to 228.68.127.254228.68.127.2558,190
37228.68.128.0/19228.68.128.1 to 228.68.159.254228.68.159.2558,190
38228.68.160.0/19228.68.160.1 to 228.68.191.254228.68.191.2558,190
39228.68.192.0/19228.68.192.1 to 228.68.223.254228.68.223.2558,190
40228.68.224.0/19228.68.224.1 to 228.68.255.254228.68.255.2558,190
41228.69.0.0/19228.69.0.1 to 228.69.31.254228.69.31.2558,190
42228.69.32.0/19228.69.32.1 to 228.69.63.254228.69.63.2558,190
43228.69.64.0/19228.69.64.1 to 228.69.95.254228.69.95.2558,190
44228.69.96.0/19228.69.96.1 to 228.69.127.254228.69.127.2558,190
45228.69.128.0/19228.69.128.1 to 228.69.159.254228.69.159.2558,190
46228.69.160.0/19228.69.160.1 to 228.69.191.254228.69.191.2558,190
47228.69.192.0/19228.69.192.1 to 228.69.223.254228.69.223.2558,190
48228.69.224.0/19228.69.224.1 to 228.69.255.254228.69.255.2558,190
49228.70.0.0/19228.70.0.1 to 228.70.31.254228.70.31.2558,190
50228.70.32.0/19228.70.32.1 to 228.70.63.254228.70.63.2558,190
51228.70.64.0/19228.70.64.1 to 228.70.95.254228.70.95.2558,190
52228.70.96.0/19228.70.96.1 to 228.70.127.254228.70.127.2558,190
53228.70.128.0/19228.70.128.1 to 228.70.159.254228.70.159.2558,190
54228.70.160.0/19228.70.160.1 to 228.70.191.254228.70.191.2558,190
55228.70.192.0/19228.70.192.1 to 228.70.223.254228.70.223.2558,190
56228.70.224.0/19228.70.224.1 to 228.70.255.254228.70.255.2558,190
57228.71.0.0/19228.71.0.1 to 228.71.31.254228.71.31.2558,190
58228.71.32.0/19228.71.32.1 to 228.71.63.254228.71.63.2558,190
59228.71.64.0/19228.71.64.1 to 228.71.95.254228.71.95.2558,190
60228.71.96.0/19228.71.96.1 to 228.71.127.254228.71.127.2558,190
61228.71.128.0/19228.71.128.1 to 228.71.159.254228.71.159.2558,190
62228.71.160.0/19228.71.160.1 to 228.71.191.254228.71.191.2558,190
63228.71.192.0/19228.71.192.1 to 228.71.223.254228.71.223.2558,190
64228.71.224.0/19228.71.224.1 to 228.71.255.254228.71.255.2558,190
65228.72.0.0/19228.72.0.1 to 228.72.31.254228.72.31.2558,190
66228.72.32.0/19228.72.32.1 to 228.72.63.254228.72.63.2558,190
67228.72.64.0/19228.72.64.1 to 228.72.95.254228.72.95.2558,190
68228.72.96.0/19228.72.96.1 to 228.72.127.254228.72.127.2558,190
69228.72.128.0/19228.72.128.1 to 228.72.159.254228.72.159.2558,190
70228.72.160.0/19228.72.160.1 to 228.72.191.254228.72.191.2558,190
71228.72.192.0/19228.72.192.1 to 228.72.223.254228.72.223.2558,190
72228.72.224.0/19228.72.224.1 to 228.72.255.254228.72.255.2558,190
73228.73.0.0/19228.73.0.1 to 228.73.31.254228.73.31.2558,190
74228.73.32.0/19228.73.32.1 to 228.73.63.254228.73.63.2558,190
75228.73.64.0/19228.73.64.1 to 228.73.95.254228.73.95.2558,190
76228.73.96.0/19228.73.96.1 to 228.73.127.254228.73.127.2558,190
77228.73.128.0/19228.73.128.1 to 228.73.159.254228.73.159.2558,190
78228.73.160.0/19228.73.160.1 to 228.73.191.254228.73.191.2558,190
79228.73.192.0/19228.73.192.1 to 228.73.223.254228.73.223.2558,190
80228.73.224.0/19228.73.224.1 to 228.73.255.254228.73.255.2558,190
81228.74.0.0/19228.74.0.1 to 228.74.31.254228.74.31.2558,190
82228.74.32.0/19228.74.32.1 to 228.74.63.254228.74.63.2558,190
83228.74.64.0/19228.74.64.1 to 228.74.95.254228.74.95.2558,190
84228.74.96.0/19228.74.96.1 to 228.74.127.254228.74.127.2558,190
85228.74.128.0/19228.74.128.1 to 228.74.159.254228.74.159.2558,190
86228.74.160.0/19228.74.160.1 to 228.74.191.254228.74.191.2558,190
87228.74.192.0/19228.74.192.1 to 228.74.223.254228.74.223.2558,190
88228.74.224.0/19228.74.224.1 to 228.74.255.254228.74.255.2558,190
89228.75.0.0/19228.75.0.1 to 228.75.31.254228.75.31.2558,190
90228.75.32.0/19228.75.32.1 to 228.75.63.254228.75.63.2558,190
91228.75.64.0/19228.75.64.1 to 228.75.95.254228.75.95.2558,190
92228.75.96.0/19228.75.96.1 to 228.75.127.254228.75.127.2558,190
93228.75.128.0/19228.75.128.1 to 228.75.159.254228.75.159.2558,190
94228.75.160.0/19228.75.160.1 to 228.75.191.254228.75.191.2558,190
95228.75.192.0/19228.75.192.1 to 228.75.223.254228.75.223.2558,190
96228.75.224.0/19228.75.224.1 to 228.75.255.254228.75.255.2558,190
97228.76.0.0/19228.76.0.1 to 228.76.31.254228.76.31.2558,190
98228.76.32.0/19228.76.32.1 to 228.76.63.254228.76.63.2558,190
99228.76.64.0/19228.76.64.1 to 228.76.95.254228.76.95.2558,190
100228.76.96.0/19228.76.96.1 to 228.76.127.254228.76.127.2558,190
101228.76.128.0/19228.76.128.1 to 228.76.159.254228.76.159.2558,190
102228.76.160.0/19228.76.160.1 to 228.76.191.254228.76.191.2558,190
103228.76.192.0/19228.76.192.1 to 228.76.223.254228.76.223.2558,190
104228.76.224.0/19228.76.224.1 to 228.76.255.254228.76.255.2558,190
105228.77.0.0/19228.77.0.1 to 228.77.31.254228.77.31.2558,190
106228.77.32.0/19228.77.32.1 to 228.77.63.254228.77.63.2558,190
107228.77.64.0/19228.77.64.1 to 228.77.95.254228.77.95.2558,190
108228.77.96.0/19228.77.96.1 to 228.77.127.254228.77.127.2558,190
109228.77.128.0/19228.77.128.1 to 228.77.159.254228.77.159.2558,190
110228.77.160.0/19228.77.160.1 to 228.77.191.254228.77.191.2558,190
111228.77.192.0/19228.77.192.1 to 228.77.223.254228.77.223.2558,190
112228.77.224.0/19228.77.224.1 to 228.77.255.254228.77.255.2558,190
113228.78.0.0/19228.78.0.1 to 228.78.31.254228.78.31.2558,190
114228.78.32.0/19228.78.32.1 to 228.78.63.254228.78.63.2558,190
115228.78.64.0/19228.78.64.1 to 228.78.95.254228.78.95.2558,190
116228.78.96.0/19228.78.96.1 to 228.78.127.254228.78.127.2558,190
117228.78.128.0/19228.78.128.1 to 228.78.159.254228.78.159.2558,190
118228.78.160.0/19228.78.160.1 to 228.78.191.254228.78.191.2558,190
119228.78.192.0/19228.78.192.1 to 228.78.223.254228.78.223.2558,190
120228.78.224.0/19228.78.224.1 to 228.78.255.254228.78.255.2558,190
121228.79.0.0/19228.79.0.1 to 228.79.31.254228.79.31.2558,190
122228.79.32.0/19228.79.32.1 to 228.79.63.254228.79.63.2558,190
123228.79.64.0/19228.79.64.1 to 228.79.95.254228.79.95.2558,190
124228.79.96.0/19228.79.96.1 to 228.79.127.254228.79.127.2558,190
125228.79.128.0/19228.79.128.1 to 228.79.159.254228.79.159.2558,190
126228.79.160.0/19228.79.160.1 to 228.79.191.254228.79.191.2558,190
127228.79.192.0/19228.79.192.1 to 228.79.223.254228.79.223.2558,190
128228.79.224.0/19228.79.224.1 to 228.79.255.254228.79.255.2558,190
129228.80.0.0/19228.80.0.1 to 228.80.31.254228.80.31.2558,190
130228.80.32.0/19228.80.32.1 to 228.80.63.254228.80.63.2558,190
131228.80.64.0/19228.80.64.1 to 228.80.95.254228.80.95.2558,190
132228.80.96.0/19228.80.96.1 to 228.80.127.254228.80.127.2558,190
133228.80.128.0/19228.80.128.1 to 228.80.159.254228.80.159.2558,190
134228.80.160.0/19228.80.160.1 to 228.80.191.254228.80.191.2558,190
135228.80.192.0/19228.80.192.1 to 228.80.223.254228.80.223.2558,190
136228.80.224.0/19228.80.224.1 to 228.80.255.254228.80.255.2558,190
137228.81.0.0/19228.81.0.1 to 228.81.31.254228.81.31.2558,190
138228.81.32.0/19228.81.32.1 to 228.81.63.254228.81.63.2558,190
139228.81.64.0/19228.81.64.1 to 228.81.95.254228.81.95.2558,190
140228.81.96.0/19228.81.96.1 to 228.81.127.254228.81.127.2558,190
141228.81.128.0/19228.81.128.1 to 228.81.159.254228.81.159.2558,190
142228.81.160.0/19228.81.160.1 to 228.81.191.254228.81.191.2558,190
143228.81.192.0/19228.81.192.1 to 228.81.223.254228.81.223.2558,190
144228.81.224.0/19228.81.224.1 to 228.81.255.254228.81.255.2558,190
145228.82.0.0/19228.82.0.1 to 228.82.31.254228.82.31.2558,190
146228.82.32.0/19228.82.32.1 to 228.82.63.254228.82.63.2558,190
147228.82.64.0/19228.82.64.1 to 228.82.95.254228.82.95.2558,190
148228.82.96.0/19228.82.96.1 to 228.82.127.254228.82.127.2558,190
149228.82.128.0/19228.82.128.1 to 228.82.159.254228.82.159.2558,190
150228.82.160.0/19228.82.160.1 to 228.82.191.254228.82.191.2558,190
151228.82.192.0/19228.82.192.1 to 228.82.223.254228.82.223.2558,190
152228.82.224.0/19228.82.224.1 to 228.82.255.254228.82.255.2558,190
153228.83.0.0/19228.83.0.1 to 228.83.31.254228.83.31.2558,190
154228.83.32.0/19228.83.32.1 to 228.83.63.254228.83.63.2558,190
155228.83.64.0/19228.83.64.1 to 228.83.95.254228.83.95.2558,190
156228.83.96.0/19228.83.96.1 to 228.83.127.254228.83.127.2558,190
157228.83.128.0/19228.83.128.1 to 228.83.159.254228.83.159.2558,190
158228.83.160.0/19228.83.160.1 to 228.83.191.254228.83.191.2558,190
159228.83.192.0/19228.83.192.1 to 228.83.223.254228.83.223.2558,190
160228.83.224.0/19228.83.224.1 to 228.83.255.254228.83.255.2558,190
161228.84.0.0/19228.84.0.1 to 228.84.31.254228.84.31.2558,190
162228.84.32.0/19228.84.32.1 to 228.84.63.254228.84.63.2558,190
163228.84.64.0/19228.84.64.1 to 228.84.95.254228.84.95.2558,190
164228.84.96.0/19228.84.96.1 to 228.84.127.254228.84.127.2558,190
165228.84.128.0/19228.84.128.1 to 228.84.159.254228.84.159.2558,190
166228.84.160.0/19228.84.160.1 to 228.84.191.254228.84.191.2558,190
167228.84.192.0/19228.84.192.1 to 228.84.223.254228.84.223.2558,190
168228.84.224.0/19228.84.224.1 to 228.84.255.254228.84.255.2558,190
169228.85.0.0/19228.85.0.1 to 228.85.31.254228.85.31.2558,190
170228.85.32.0/19228.85.32.1 to 228.85.63.254228.85.63.2558,190
171228.85.64.0/19228.85.64.1 to 228.85.95.254228.85.95.2558,190
172228.85.96.0/19228.85.96.1 to 228.85.127.254228.85.127.2558,190
173228.85.128.0/19228.85.128.1 to 228.85.159.254228.85.159.2558,190
174228.85.160.0/19228.85.160.1 to 228.85.191.254228.85.191.2558,190
175228.85.192.0/19228.85.192.1 to 228.85.223.254228.85.223.2558,190
176228.85.224.0/19228.85.224.1 to 228.85.255.254228.85.255.2558,190
177228.86.0.0/19228.86.0.1 to 228.86.31.254228.86.31.2558,190
178228.86.32.0/19228.86.32.1 to 228.86.63.254228.86.63.2558,190
179228.86.64.0/19228.86.64.1 to 228.86.95.254228.86.95.2558,190
180228.86.96.0/19228.86.96.1 to 228.86.127.254228.86.127.2558,190
181228.86.128.0/19228.86.128.1 to 228.86.159.254228.86.159.2558,190
182228.86.160.0/19228.86.160.1 to 228.86.191.254228.86.191.2558,190
183228.86.192.0/19228.86.192.1 to 228.86.223.254228.86.223.2558,190
184228.86.224.0/19228.86.224.1 to 228.86.255.254228.86.255.2558,190
185228.87.0.0/19228.87.0.1 to 228.87.31.254228.87.31.2558,190
186228.87.32.0/19228.87.32.1 to 228.87.63.254228.87.63.2558,190
187228.87.64.0/19228.87.64.1 to 228.87.95.254228.87.95.2558,190
188228.87.96.0/19228.87.96.1 to 228.87.127.254228.87.127.2558,190
189228.87.128.0/19228.87.128.1 to 228.87.159.254228.87.159.2558,190
190228.87.160.0/19228.87.160.1 to 228.87.191.254228.87.191.2558,190
191228.87.192.0/19228.87.192.1 to 228.87.223.254228.87.223.2558,190
192228.87.224.0/19228.87.224.1 to 228.87.255.254228.87.255.2558,190
193228.88.0.0/19228.88.0.1 to 228.88.31.254228.88.31.2558,190
194228.88.32.0/19228.88.32.1 to 228.88.63.254228.88.63.2558,190
195228.88.64.0/19228.88.64.1 to 228.88.95.254228.88.95.2558,190
196228.88.96.0/19228.88.96.1 to 228.88.127.254228.88.127.2558,190
197228.88.128.0/19228.88.128.1 to 228.88.159.254228.88.159.2558,190
198228.88.160.0/19228.88.160.1 to 228.88.191.254228.88.191.2558,190
199228.88.192.0/19228.88.192.1 to 228.88.223.254228.88.223.2558,190
200228.88.224.0/19228.88.224.1 to 228.88.255.254228.88.255.2558,190
201228.89.0.0/19228.89.0.1 to 228.89.31.254228.89.31.2558,190
202228.89.32.0/19228.89.32.1 to 228.89.63.254228.89.63.2558,190
203228.89.64.0/19228.89.64.1 to 228.89.95.254228.89.95.2558,190
204228.89.96.0/19228.89.96.1 to 228.89.127.254228.89.127.2558,190
205228.89.128.0/19228.89.128.1 to 228.89.159.254228.89.159.2558,190
206228.89.160.0/19228.89.160.1 to 228.89.191.254228.89.191.2558,190
207228.89.192.0/19228.89.192.1 to 228.89.223.254228.89.223.2558,190
208228.89.224.0/19228.89.224.1 to 228.89.255.254228.89.255.2558,190
209228.90.0.0/19228.90.0.1 to 228.90.31.254228.90.31.2558,190
210228.90.32.0/19228.90.32.1 to 228.90.63.254228.90.63.2558,190
211228.90.64.0/19228.90.64.1 to 228.90.95.254228.90.95.2558,190
212228.90.96.0/19228.90.96.1 to 228.90.127.254228.90.127.2558,190
213228.90.128.0/19228.90.128.1 to 228.90.159.254228.90.159.2558,190
214228.90.160.0/19228.90.160.1 to 228.90.191.254228.90.191.2558,190
215228.90.192.0/19228.90.192.1 to 228.90.223.254228.90.223.2558,190
216228.90.224.0/19228.90.224.1 to 228.90.255.254228.90.255.2558,190
217228.91.0.0/19228.91.0.1 to 228.91.31.254228.91.31.2558,190
218228.91.32.0/19228.91.32.1 to 228.91.63.254228.91.63.2558,190
219228.91.64.0/19228.91.64.1 to 228.91.95.254228.91.95.2558,190
220228.91.96.0/19228.91.96.1 to 228.91.127.254228.91.127.2558,190
221228.91.128.0/19228.91.128.1 to 228.91.159.254228.91.159.2558,190
222228.91.160.0/19228.91.160.1 to 228.91.191.254228.91.191.2558,190
223228.91.192.0/19228.91.192.1 to 228.91.223.254228.91.223.2558,190
224228.91.224.0/19228.91.224.1 to 228.91.255.254228.91.255.2558,190
225228.92.0.0/19228.92.0.1 to 228.92.31.254228.92.31.2558,190
226228.92.32.0/19228.92.32.1 to 228.92.63.254228.92.63.2558,190
227228.92.64.0/19228.92.64.1 to 228.92.95.254228.92.95.2558,190
228228.92.96.0/19228.92.96.1 to 228.92.127.254228.92.127.2558,190
229228.92.128.0/19228.92.128.1 to 228.92.159.254228.92.159.2558,190
230228.92.160.0/19228.92.160.1 to 228.92.191.254228.92.191.2558,190
231228.92.192.0/19228.92.192.1 to 228.92.223.254228.92.223.2558,190
232228.92.224.0/19228.92.224.1 to 228.92.255.254228.92.255.2558,190
233228.93.0.0/19228.93.0.1 to 228.93.31.254228.93.31.2558,190
234228.93.32.0/19228.93.32.1 to 228.93.63.254228.93.63.2558,190
235228.93.64.0/19228.93.64.1 to 228.93.95.254228.93.95.2558,190
236228.93.96.0/19228.93.96.1 to 228.93.127.254228.93.127.2558,190
237228.93.128.0/19228.93.128.1 to 228.93.159.254228.93.159.2558,190
238228.93.160.0/19228.93.160.1 to 228.93.191.254228.93.191.2558,190
239228.93.192.0/19228.93.192.1 to 228.93.223.254228.93.223.2558,190
240228.93.224.0/19228.93.224.1 to 228.93.255.254228.93.255.2558,190
241228.94.0.0/19228.94.0.1 to 228.94.31.254228.94.31.2558,190
242228.94.32.0/19228.94.32.1 to 228.94.63.254228.94.63.2558,190
243228.94.64.0/19228.94.64.1 to 228.94.95.254228.94.95.2558,190
244228.94.96.0/19228.94.96.1 to 228.94.127.254228.94.127.2558,190
245228.94.128.0/19228.94.128.1 to 228.94.159.254228.94.159.2558,190
246228.94.160.0/19228.94.160.1 to 228.94.191.254228.94.191.2558,190
247228.94.192.0/19228.94.192.1 to 228.94.223.254228.94.223.2558,190
248228.94.224.0/19228.94.224.1 to 228.94.255.254228.94.255.2558,190
249228.95.0.0/19228.95.0.1 to 228.95.31.254228.95.31.2558,190
250228.95.32.0/19228.95.32.1 to 228.95.63.254228.95.63.2558,190
251228.95.64.0/19228.95.64.1 to 228.95.95.254228.95.95.2558,190
252228.95.96.0/19228.95.96.1 to 228.95.127.254228.95.127.2558,190
253228.95.128.0/19228.95.128.1 to 228.95.159.254228.95.159.2558,190
254228.95.160.0/19228.95.160.1 to 228.95.191.254228.95.191.2558,190
255228.95.192.0/19228.95.192.1 to 228.95.223.254228.95.223.2558,190
256228.95.224.0/19228.95.224.1 to 228.95.255.254228.95.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses